# dmd.dmdparams

DMD-specific parameters.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: dmdparams.d

Documentation: https://dlang.org/phobos/dmd_dmdparams.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/dmdparams.d

- `PIC`

  #### Declaration

  `enum `PIC`: ubyte;`

  Position Indepent Code setting

  - `fixed`

    #### Declaration

    ``fixed``

    located at a specific address

  - `pic`

    #### Declaration

    ``pic``

    Position Independent Code

  - `pie`

    #### Declaration

    ``pie``

    Position Independent Executable

- `Triple`

  #### Declaration

  `struct `Triple`;`

  Sets CPU Operating System, and optionally C/C++ runtime environment from the given triple e.g. x86_64+avx2-apple-darwin20.3.0 x86-unknown-linux-musl-clang x64-windows-msvc x64-pc-windows-msvc

- `finalDefaultlibname`

  #### Declaration

  `const(char)[] `finalDefaultlibname`();`

  #### Return Value

  the final defaultlibname based on the command-line parameters